Update Webhook
curl --request PATCH \
--url https://api.kardow.com/webhooks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"is_enabled": true
}
'import requests
url = "https://api.kardow.com/webhooks/{id}"
payload = { "is_enabled": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_enabled: true})
};
fetch('https://api.kardow.com/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_url": "<string>",
"is_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>",
"url": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>",
"url": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>",
"url": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>",
"url": "<string>"
}
}Webhooks
Update Webhook
Enable or disable a webhook subscription
PATCH
/
webhooks
/
{id}
Update Webhook
Toggle a webhook subscription on or off without deleting it.
Path Parameters
string
required
The subscription ID.
Request Body
boolean
required
Set to
true to enable or false to disable the subscription.Examples
Disable a webhook
cURL
curl --request PATCH \
--url "https://api.kardow.com/webhooks/your-subscription-id" \
--header "x-api-key: your-api-key-here" \
--header "Content-Type: application/json" \
--data '{"is_enabled": false}'
Response
object
Authorizations
API key for authentication. Get yours from Settings > API Keys in the Kardow dashboard.
Path Parameters
Subscription UUID.
Body
application/json
Response
Subscription updated
Show child attributes
Show child attributes
Was this page helpful?
āI